/*
 * diody.c
 *
 *  Created on: 26 lip 2016
 *      Author: BEAAK
 */

#include <avr/io.h>
#include "diody.h"

void init_LED (){

    // Ustawienie kierunkw portw - OUT
	DDRB |= 0xFF;
	DDRD |= LED0 | LED1 | LED2 | LED3 | LEDM ;
	DDRC |= LED4 | LED5 | LED6 | LED4x | LED5x  ;

	// Wygaszenie wszystkich diod
	PORTB |= 0xFF;
	PORTD |= LED0 | LED1 | LED2 | LED3 | LEDM ;
	PORTC |= LED4 | LED5 | LED6 | LED4x | LED5x  ;

}
void wsw_liczbe(uint8_t cel, uint8_t subzero){

	wygas_all();                 // wyga wszystko przed ponownym ustawieniem

	if(subzero){
	PORTD &= ~LEDM;	             /* jeli subzero==1 wywietla znak minus (temp. ujemna) */
	}
	else {
	PORTD |= LEDM;	             /* jeli subzero==0 wywietl spacj zamiast znaku minus (temp. dodatnia) */
	}

	   switch (cel){
	    case 0:
		    LED0ON;
		    break;
	    case 1:
	    	LED1ON;
	    	break;
	    case 2:
	    	LED2ON;
	    	break;
	    case 3:
            LED3ON;
            break;
	    case 4:
	    	LED4ON;
	    	break;
	    case 5:
	    	LED5ON;
	    	break;
	    case 6:
	    	LED6ON;
	    	break;
	    case 7:
	    	LED7ON;
	    	break;
	    case 8:
	    	LED8ON;
	    	break;
	    case 9:
	    	LED9ON;
	    	break;
	    case 10:
	    	LED1xON;
	    	LED0ON;
	    	break;
	    case 11:
	    	LED1xON;
	    	LED1ON;
	    	break;
	    case 12:
	    	LED1xON;
	    	LED2ON;
	    	break;
	    case 13:
	    	LED1xON;
	    	LED3ON;
	    	break;
	    case 14:
	    	LED1xON;
	    	LED4ON;
	    	break;
	    case 15:
	    	LED1xON;
	    	LED5ON;
	    	break;
	    case 16:
	    	LED1xON;
	    	LED6ON;
	    	break;
	    case 17:
	    	LED1xON;
	    	LED7ON;
	    	break;
	    case 18:
	    	LED1xON;
	    	LED8ON;
	    	break;
	    case 19:
	    	LED1xON;
	    	LED9ON;
	    	break;
	    case 20:
	    	LED2xON;
	    	LED0ON;
	    	break;
	    case 21:
	    	LED2xON;
	    	LED1ON;
	    	break;
	    case 22:
	    	LED2xON;
	    	LED2ON;
	    	break;
	    case 23:
	    	LED2xON;
	    	LED3ON;
	    	break;
	    case 24:
	    	LED2xON;
	    	LED4ON;
	    	break;
	    case 25:
	    	LED2xON;
	        LED5ON;
	        break;
	    case 26:
	    	LED2xON;
	        LED6ON;
	        break;
	    case 27:
	    	LED2xON;
	    	LED7ON;
	    	break;
	    case 28:
	    	LED2xON;
	    	LED8ON;
	    	break;
	    case 29:
	    	LED2xON;
	    	LED9ON;
	    	break;
	    case 30:
	    	LED3xON;
	    	LED0ON;
	    	break;
	    case 31:
	    	LED3xON;
	    	LED1ON;
	    	break;
	    case 32:
	    	LED3xON;
	    	LED2ON;
	    	break;
	    case 33:
	    	LED3xON;
	    	LED3ON;
	    	break;
	    case 34:
	    	LED3xON;
	    	LED4ON;
	    	break;
	    case 35:
	    	LED3xON;
	    	LED5ON;
	    	break;
	    case 36:
	    	LED3xON;
	    	LED6ON;
	    	break;
	    case 37:
	    	LED3xON;
	    	LED7ON;
	    	break;
	    case 38:
	    	LED3xON;
	    	LED8ON;
	    	break;
	    case 39:
	    	LED3xON;
	    	LED9ON;
	    	break;
	    case 40:
	    	LED4xON;
	    	LED0ON;
	    	break;
	    default:
        wygas_all();
        }

}
void wygas_all(){

	PORTB |= LED1x;
	PORTB |= LED2x;
	PORTB |= LED3x;
	PORTC |= LED4x;
	PORTC |= LED5x;
	PORTD |= LED0;
	PORTD |= LED1;
	PORTD |= LED2;
	PORTD |= LED3;
	PORTC |= LED4;
	PORTC |= LED5;
	PORTC |= LED6;
	PORTB |= LED7;
	PORTB |= LED8;
	PORTB |= LED9;
	PORTD |= LEDM;

}
